%demo
%
% Red-ball demo.
%
% After running this once, you can restart the demo by simply running
%  redObjectTrack
% 
% If you stop the demo early, use 
%  stop(vid);flushdata(vid);
% to turn off the camera.
% If you get errors about running out of memory, or the approach above does
% not clean things up, use
%  imaqreset
% to reset image aquisition


% Author: Josiah Yoder
% Term: Summer 2014
% Course: CS498 - Computer Vision
% Assignment: Lab 6 - Camera Geometry

% cameraParams must exist before running this script.
% This line will crash if it doesn't -- so the script fails early.
cameraParams;

% This connects to the camera and grabs an image,
% setting the variables ni and nj
getImageSize

% parameters
spaceDepthCm = 150;
ballDiameterCm = 5;
figure1Position = [67   561   634   414];
figure2Position = [720   309   672   504];
figure3Position = [64    94   636   361];
       

figure(2)
setpixelposition(gcf,figure2Position)
fc = diag(cameraParams.IntrinsicMatrix(1:2,1:2))';
cc = cameraParams.IntrinsicMatrix(3,1:2);
drawSpaceBounds([ni nj],spaceDepthCm,fc,cc);
hold on
hSphere = plotSphere(0,0,75,2.5);
hold off

redObjectTrack
