% Capture the video frames using the videoinput function
% You have to replace the resolution & your installed adaptor name.
%
% This is run as a script so you can stop the vid using
%  stop(vid)
%  flushdata(vid)
% if something goes wrong.
%
% You do not need to set any variables before calling this script.
%
% This program sets ni and nj to be the size of the image in the i and j
% directions. Other variables it sets (such as vid) can be ignored.

% Dr. Yoder, Winter 2014-2015

a = imaqhwinfo;
[camera_name, camera_id, format] = getCameraInfo(a);
vid = videoinput(camera_name, camera_id, format);

% Set the properties of the video object
set(vid, 'FramesPerTrigger', Inf);
set(vid, 'ReturnedColorspace', 'rgb')
vid.FrameGrabInterval = 5;

%start the video aquisition here
start(vid)
    
% Get the snapshot of the current frame
data = getsnapshot(vid);

[ni,nj,~] = size(data);

stop(vid)
flushdata(vid)

% This is about the best you can do on scripts to help 
% avoid coupling
clear a camera_name camera_id format data
% Not clearing vid, just in case it is needed for cleanup.