%
% Plots in "rotated" space where to plot, you use
% e.g.
%    surf(Z,X,Y) instead of surf(X,Y,Z)
function [hSphere] = plotSphere(x,y,z,r,hSphere)

[X,Y,Z] = sphere;
X = r*X+x;
Y = r*Y+y;
Z = r*Z+z;
if nargin < 5 || isempty(hSphere) || ~ishandle(hSphere)
    hSphere = surf(Z,X,Y);
    set(hSphere,'EdgeColor','none')
    set(hSphere,'FaceColor','r')
    set(hSphere,'FaceLighting','phong')
    camlight('right')
    pause(0.1);
else
    set(hSphere,'XData',Z);
    set(hSphere,'YData',X);
    set(hSphere,'ZData',Y);
    pause(0.1);
end
end
